Installing GNU wget on OS X 10.7

GNU wget by default looks to use the GNUTLS library for SSL connections when it’s compiled. The error looks like this:

configure: error: --with-ssl was given, but GNUTLS is not available.

Naturally, that error comes up because GNUTLS is not available on a standard installation of OS X 10.7. You can ask wget to use openssl instead.

./configure --with-ssl=openssl
make
sudo make install

The flag for configure will make all your GNUTLS problems go away.

2 thoughts on “Installing GNU wget on OS X 10.7”

Tell me about it...